<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

namespace App\Http\ApiV1\OpenApiGenerated\Enums;

class MenuItemCodeEnum
{
    public const PRODUCTS_CODE = 'products';
    public const PRODUCTS_CATALOG_CODE = 'productsCatalog';
    public const PRODUCTS_OFFERS_CODE = 'productsOffers';
    public const PRODUCTS_VARIANT_GROUPS_CODE = 'productsVariantGroups';
    public const PRODUCTS_DIRECTORIES_CODE = 'productsDirectories';
    public const PRODUCTS_DIRECTORIES_BRANDS_CODE = 'productsDirectoriesBrands';
    public const PRODUCTS_DIRECTORIES_CATEGORIES_CODE = 'productsDirectoriesCategories';
    public const PRODUCTS_DIRECTORIES_PROPERTIES_CODE = 'productsDirectoriesProperties';
    public const PRODUCTS_DIRECTORIES_COUNTRIES_CODE = 'productsDirectoriesCountries';
    public const PRODUCTS_DIRECTORIES_MANUFACTURERS_CODE = 'productsDirectoriesManufacturers';
    public const PRODUCTS_DIRECTORIES_PRODUCT_TYPES_CODE = 'productsDirectoriesProductTypes';
    public const ORDERS_CODE = 'orders';
    public const ORDERS_LIST_CODE = 'ordersList';
    public const ORDERS_CARGOS_CODE = 'ordersCargos';
    public const ORDERS_STATUSES_CODE = 'ordersStatuses';
    public const REQUESTS_CODE = 'requests';
    public const REQUESTS_CHECK_CODE = 'requestsCheck';
    public const REQUESTS_CONTENT_CODE = 'requestsContent';
    public const REQUESTS_PRICES_CODE = 'requestsPrices';
    public const CONTENT_CODE = 'content';
    public const CONTENT_MENU_CODE = 'contentMenu';
    public const CONTENT_LANDING_CODE = 'contentLanding';
    public const CONTENT_CONTACTS_CODE = 'contentContacts';
    public const CONTENT_CATEGORIES_CODE = 'contentCategories';
    public const CONTENT_PRODUCT_GROUPS_CODE = 'contentProductGroups';
    public const CONTENT_BANNERS_CODE = 'contentBanners';
    public const CONTENT_BADGES_CODE = 'contentBadges';
    public const CONTENT_SEARCH_REQUESTS_CODE = 'contentSearchRequests';
    public const CONTENT_SEARCH_SYNONYMS_CODE = 'contentSearchSynonyms';
    public const CONTENT_POPULAR_BRANDS_CODE = 'contentPopularBrands';
    public const CONTENT_POPULAR_PRODUCTS_CODE = 'contentPopularProducts';
    public const LOGISTIC_CODE = 'logistic';
    public const LOGISTIC_DELIVERY_SERVICES_CODE = 'logisticDeliveryServices';
    public const LOGISTIC_DELIVERY_PRICES_CODE = 'logisticDeliveryPrices';
    public const LOGISTIC_KPI_CODE = 'logisticKpi';
    public const STORES_SELLER_STORES_CODE = 'storesSellerStores';
    public const CUSTOMERS_CODE = 'customers';
    public const SELLER_CODE = 'seller';
    public const SELLER_LIST_REGISTRATION_CODE = 'sellerListRegistration';
    public const SELLER_LIST_ACTIVE_CODE = 'sellerListActive';
    public const MARKETING_CODE = 'marketing';
    public const MARKETING_PROMOCODES_CODE = 'marketingPromocodes';
    public const MARKETING_DISCOUNTS_CODE = 'marketingDiscounts';
    public const MARKETING_BUNDLES_CODE = 'marketingBundles';
    public const REPORTS_CODE = 'reports';
    public const COMMUNICATIONS_CODE = 'communications';
    public const COMMUNICATIONS_MESSAGES_CODE = 'communicationsMessages';
    public const COMMUNICATIONS_NOTIFICATIONS_CODE = 'communicationsNotifications';
    public const COMMUNICATIONS_BROADCAST_CODE = 'communicationsBroadcast';
    public const COMMUNICATIONS_STATUSES_CODE = 'communicationsStatuses';
    public const COMMUNICATIONS_SUBJECTS_CODE = 'communicationsSubjects';
    public const COMMUNICATIONS_TYPES_CODE = 'communicationsTypes';
    public const SETTINGS_CODE = 'settings';
    public const SETTINGS_USERS_CODE = 'settingsUsers';
    public const SETTINGS_ORGANIZATIONS_CODE = 'settingsOrganizations';

    /**
     * @return string[]
     */
    public static function cases(): array
    {
        return [
            self::PRODUCTS_CODE,
            self::PRODUCTS_CATALOG_CODE,
            self::PRODUCTS_OFFERS_CODE,
            self::PRODUCTS_VARIANT_GROUPS_CODE,
            self::PRODUCTS_DIRECTORIES_CODE,
            self::PRODUCTS_DIRECTORIES_BRANDS_CODE,
            self::PRODUCTS_DIRECTORIES_CATEGORIES_CODE,
            self::PRODUCTS_DIRECTORIES_PROPERTIES_CODE,
            self::PRODUCTS_DIRECTORIES_COUNTRIES_CODE,
            self::PRODUCTS_DIRECTORIES_MANUFACTURERS_CODE,
            self::PRODUCTS_DIRECTORIES_PRODUCT_TYPES_CODE,
            self::ORDERS_CODE,
            self::ORDERS_LIST_CODE,
            self::ORDERS_CARGOS_CODE,
            self::ORDERS_STATUSES_CODE,
            self::REQUESTS_CODE,
            self::REQUESTS_CHECK_CODE,
            self::REQUESTS_CONTENT_CODE,
            self::REQUESTS_PRICES_CODE,
            self::CONTENT_CODE,
            self::CONTENT_MENU_CODE,
            self::CONTENT_LANDING_CODE,
            self::CONTENT_CONTACTS_CODE,
            self::CONTENT_CATEGORIES_CODE,
            self::CONTENT_PRODUCT_GROUPS_CODE,
            self::CONTENT_BANNERS_CODE,
            self::CONTENT_BADGES_CODE,
            self::CONTENT_SEARCH_REQUESTS_CODE,
            self::CONTENT_SEARCH_SYNONYMS_CODE,
            self::CONTENT_POPULAR_BRANDS_CODE,
            self::CONTENT_POPULAR_PRODUCTS_CODE,
            self::LOGISTIC_CODE,
            self::LOGISTIC_DELIVERY_SERVICES_CODE,
            self::LOGISTIC_DELIVERY_PRICES_CODE,
            self::LOGISTIC_KPI_CODE,
            self::STORES_SELLER_STORES_CODE,
            self::CUSTOMERS_CODE,
            self::SELLER_CODE,
            self::SELLER_LIST_REGISTRATION_CODE,
            self::SELLER_LIST_ACTIVE_CODE,
            self::MARKETING_CODE,
            self::MARKETING_PROMOCODES_CODE,
            self::MARKETING_DISCOUNTS_CODE,
            self::MARKETING_BUNDLES_CODE,
            self::REPORTS_CODE,
            self::COMMUNICATIONS_CODE,
            self::COMMUNICATIONS_MESSAGES_CODE,
            self::COMMUNICATIONS_NOTIFICATIONS_CODE,
            self::COMMUNICATIONS_BROADCAST_CODE,
            self::COMMUNICATIONS_STATUSES_CODE,
            self::COMMUNICATIONS_SUBJECTS_CODE,
            self::COMMUNICATIONS_TYPES_CODE,
            self::SETTINGS_CODE,
            self::SETTINGS_USERS_CODE,
            self::SETTINGS_ORGANIZATIONS_CODE,
        ];
    }
}
